Skip to content

POST /contacts/batch​

POST
/contacts/batch

Upsert up to 1000 contacts by alias keys; a failing item does not affect the others

Authorizations​

BearerAuth
Type
HTTP (Bearer)

Request Body​

application/json
JSON
{
  
"contacts": [
  
  
{
  
  
  
"subjectId": "string",
  
  
  
"email": "string",
  
  
  
"phone": "string",
  
  
  
"firstName": "string",
  
  
  
"lastName": "string",
  
  
  
"timeZone": "string",
  
  
  
"customFields": {
  
  
  
  
"additionalProperties": null
  
  
  
}
  
  
}
  
]
}

Responses​

The request has succeeded.

application/json
JSON
{
  
"results": [
  
  
{
  
  
  
"index": 0,
  
  
  
"status": "string",
  
  
  
"contactId": "string",
  
  
  
"error": "string"
  
  
}
  
]
}

Playground​

Server
Authorization
Body

Samples​

Powered by VitePress OpenAPI